Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class AbstractBonusBalanceBean

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `BonusBalance`, `BonusCharge`, `BonusDetailCharge`, `BonusPayment`

public abstract class AbstractBonusBalanceBean extends Id
Родитель классов BonusCharge, BonusPayment, BonusBalance

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Date`
  `date`
  `protected String`
  `dateString`
  `protected BigDecimal`
  `sum`
  `protected int`
  `typeId`
  `protected String`
  `typeTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBonusBalanceBean()`
  `AbstractBonusBalanceBean(int id, int typeId, Date date, BigDecimal sum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `String`
  `getDateString()`
  `BigDecimal`
  `getSum()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `void`
  `setDate(Date date)`
  `void`
  `setDateString(String dateString)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setTypeId(int typeId)`
  `void`
  `setTypeTitle(String typeTitle)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### typeId

    protected int typeId

  - ### typeTitle

    protected String typeTitle

  - ### date

    protected Date date

  - ### sum

    protected BigDecimal sum

  - ### dateString

    protected String dateString

- ## Constructor Details

  - ### AbstractBonusBalanceBean

    public AbstractBonusBalanceBean()

  - ### AbstractBonusBalanceBean

    public AbstractBonusBalanceBean(int id, int typeId, Date date, BigDecimal sum)

- ## Method Details

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getDateString

    public String getDateString()

  - ### setDateString

    public void setDateString(String dateString)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`